# Methods

### chatLogWithPerson:withJid:

Abstract: Returns a ChatLog for the specified person.

>     + (id)chatLogWithPerson:(NSString*)_name withJid:(JID*)_jid;

#### Parameters

> Name | Description
> --- | ---
> `_name` | The roster name of the remote entity.
> `_jid` | The JID of the remote entity.

### setDefaultPath:

Abstract: Sets the base path in which log files are created.

>     + (void)setDefaultPath:(NSString*)_path;

This method should not be called after the creation of any ChatLog objects. The behaviour in this case is undefined.

#### Parameters

> Name | Description
> --- | ---
> `_path` | The path in which log files are stored.

(Last Updated 11/26/2004)